package main

import (
	"github.com/br0xen/termbox-util"
	"github.com/nsf/termbox-go"
)

// AboutScreen is the about screen
type AboutScreen struct{}

func (screen *AboutScreen) handleEvent(event termbox.Event) int {
	return ServerScreenIndex
}

func (screen *AboutScreen) performLayout(style Style) {}

func (screen *AboutScreen) drawScreen(style Style) {
	width, height := termbox.Size()
	exitTxt := "Press any key to exit help"
	termboxUtil.DrawStringAtPoint(exitTxt, (width-len(exitTxt))/2, height-1, style.titleFg, style.titleBg)
}
